Icc-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.ICh0SnapshotManager Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICh0SnapshotManager:

## Public Member Functions
int | ReadNumberOfAvailableSnapshots ()
| Number of available snapshot slots, read-only.
int | ReadSnapshotManagerErrorValue ()
| ID of value which caused the last snapshot error.
int | ReadSnapshotManagerErrorSystemId ()
| ID of system which caused the last snapshot error.
int | ReadSnapshotManagerErrorRegisterId ()
| ID of register which caused the last snapshot error.
int | ReadStartupSnapshotNumber ()
| Snapshot to load on system startup.
bool | WriteStartupSnapshotNumber (int snapshotNumber)
| Snapshot to load on system startup.
bool | LoadSnapshot (int snapshotNumber)
| Load concrete snapshot.
bool | SaveSnapshot (int snapshotNumber)
| Save concrete snapshot.

## Member Function Documentation

## ◆ LoadSnapshot()

bool ICC4cPwmSdk.Device.ICh0SnapshotManager.LoadSnapshot | ( | int | snapshotNumber | ) |

Load concrete snapshot.

Returns
  true/false

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ReadNumberOfAvailableSnapshots()

int ICC4cPwmSdk.Device.ICh0SnapshotManager.ReadNumberOfAvailableSnapshots | ( |  | ) |

Number of available snapshot slots, read-only.

Returns
  capacity

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ReadSnapshotManagerErrorRegisterId()

int ICC4cPwmSdk.Device.ICh0SnapshotManager.ReadSnapshotManagerErrorRegisterId | ( |  | ) |

ID of register which caused the last snapshot error.

Returns
  errorRegisterId

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ReadSnapshotManagerErrorSystemId()

int ICC4cPwmSdk.Device.ICh0SnapshotManager.ReadSnapshotManagerErrorSystemId | ( |  | ) |

ID of system which caused the last snapshot error.

Returns
  errorSystemId

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ReadSnapshotManagerErrorValue()

int ICC4cPwmSdk.Device.ICh0SnapshotManager.ReadSnapshotManagerErrorValue | ( |  | ) |

ID of value which caused the last snapshot error.

Returns
  errorValue

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ReadStartupSnapshotNumber()

int ICC4cPwmSdk.Device.ICh0SnapshotManager.ReadStartupSnapshotNumber | ( |  | ) |

Snapshot to load on system startup.

Returns
  snapshotNumber

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SaveSnapshot()

bool ICC4cPwmSdk.Device.ICh0SnapshotManager.SaveSnapshot | ( | int | snapshotNumber | ) |

Save concrete snapshot.

Returns
  true/false

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ WriteStartupSnapshotNumber()

bool ICC4cPwmSdk.Device.ICh0SnapshotManager.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

Snapshot to load on system startup.

Returns
  true/false

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- Doxygen/ICh0SdkDeviceController.cs